Subject: Re: [PATCH 2/9] timers: provide a "modern" variant of timers

From: Christoph Hellwig <[email-masked]>
Date: Sun, 21 May 2017 09:00:17 +0200

On Thu, May 18, 2017 at 10:57:31AM +0200, Arnd Bergmann wrote:
> How expensive would it be to add another field to timer_list and
> just have both pointers?

That would add 4/8 bytes to every structure containing a timer,
so I'd rather avoid it if possible.  But one option might be to
inflict this onto users of outdated compilers and use the union
for modern ones.